gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Methods for controlling drag and drop handling.

Gtk# has a rich set of methods for doing inter-process communication via the drag-and-drop metaphor. Gtk# can do drag-and-drop (DND) via multiple protocols. The currently supported protocols are the Xdnd and Motif protocols. As well as the methods listed here, applications may need to use some facilities provided for . Also, the Drag and Drop API makes use of events in the class.

- Constructor
  2.12.0.0
  A constructor.
- Method
  2.12.0.0
  Gdk.DragContext `` `` `` `` `` The source . The targets (data formats) in which the source can provide the data. A bitmask of the allowed drag actions for this drag. The button the user clicked to start the drag. The event that triggered the start of the drag. Initates a drag on the source side. The context fot this drag.

  The method only needs to be used when the application is starting drags itself, and is not needed when is used.

- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` A . X coordinate of a start of drag. Y coordinate of a start of drag. Current X coordinate. Current Y coordinate. Checks to see if a mouse drag starting at (, ) and ending at (, ) has passed the GTK# drag threshold, and this should trigger the beginning of a drag-and-drog operation. if the drag threshold has been passed.
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  Gdk.Atom `` `` `` Drag destination . Drag context. List of droppable targets, or to use . Looks for a match between ->targets and the , returning the first matching target, otherwise returning GDK_NONE. First target that the source offers and the dest can accept. or GDK_NONE.

  should usually be the return value from but some widgets may have different valid targets for different parts of the ; in that case, they will have to implement a drag_motion handler that passes the correct target list to this method.

- Method
  2.12.0.0
  Gtk.TargetList `` A . Returns the list of targets this can accept from drag-and-drop. The , or if none.
- Method
  2.12.0.0
  System.Boolean `` a to test. Tests if a widget is set to raise drag motion events. if , the widget raises .
- Method
  2.12.0.0
  System.Void `` `` `` `` a a , which types of default drag behavior to use a , table of targets that can be accepted a , default behaviors Register a drop site and possibly add default behaviors.
- Method
  2.12.0.0
  System.Void `` `` `` `` A . The window to which to foward drag events. The drag protocol which the accepts (You can use to determine this). If , send the same coordinates to the destination, because it is an embedded subwindow. Sets this as a proxy for drops to another window.
- Method
  2.12.0.0
  System.Void `` `` A that's a drag destination. List of droppable targets, or for none. Sets the target types that this can accept from drag and drop.

  The must first be made into a drag destination with .

- Method
  2.12.0.0
  System.Void `` `` the to configure. turns on motion events if . Sets the generic drag motion behavior for a widget. This method can be used to make a widget raise events despite its target settings and flags, allowing a widget to perform generic actions regardless of the source widget's target settings.
- Method
  2.12.0.0
  System.Void `` A . Clears information about a drop destinantion set with .

  The will no longer receive notification of drags.

- Method
  2.12.0.0
  System.Void `` `` `` `` The drag context. A flag indicating whether the drop was successful. A flag indicating whether the source should delete the original data (this should be for a move). The timestamp from the event. Informs the drag sourcre that the drop is finished, and that the data of the drag will no longer be repaired.
- Method
  2.12.0.0
  System.Void `` `` `` `` The that will receive the event. The drag context. The target (form of the data) to retrieve. A timestamp for retrieving the data. This will generally be the time received in a or event. Obtains the data associated with a drag.

  When the data is received or the retrieval fails, GTK# will emit a event. Failure of the retrieval is indicated by the length field of the signal parameter being negative. However, when is called implicitely because the was set, then the will not receive notification of failed drops.

- Method
  2.12.0.0
  Gtk.Widget `` A (destination side) drag context. Determines the source for a drag. If the drag is occurring within a single application, a pointer to the source . Otherwise, .
- Method
  2.12.0.0
  System.Void `` A to highlight. Draws a highlight around a .

  This will attach handlers to and , so the highlight will continue to be displayed until is called.

- Property
  2.12.0.0
  System.Obsolete("Replaced by SetIconDefault(ctx)")
  Gdk.DragContext Obsolete. Replaced by
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` `` a a a a a Obsolete. Old functionality: changes the default drag icon. GTK+ retains references for the arguments, and will release them when they are no longer needed. This function is obsolete. The default icon should now be changed via the stock system by changing the stock pixbuf for #GTK_STOCK_DND.
- Method
  2.12.0.0
  System.Void `` The context of the drag (this must be called with a context for the source side of a drag). Sets the icon for a particular drag to the default icon.
- Method
  2.12.0.0
  System.Void `` `` `` `` The drag context. name of an Icon in the Icon theme. the x offset within the icon of the hotspot. the y offset within the icon of the hotspot. Sets the icon for a drag using a name from an Icon theme.
- Method
  2.12.0.0
  System.Void `` `` `` `` The context for a drag (this must be called with a context for the source side of a drag). The to use as the drag icon. The X offset within of the hotspot. The Y offset within of the hotspot. Sets as the icon for a given drag.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` The context for a drag (this must be called with a context for the source side of a drag). The colormap of the icon. The image data for the icon. The transparency mask for the icon. The X offset with of the hotspot. The Y offset with of the hotspot. Sets as the icon for a given drag.

  GTK# retains references for the arguments, and will release them when they are no longer needed. In general, will be more convenient to use.

- Method
  2.12.0.0
  System.Void `` `` `` `` The context of the drag (this must be called with a context for the source side of a drag). The ID of the stock icon to use for the drag. The X offset within the icon of the hotspot. The Y offset within the icon of the hotspot. Sets the icon for a given drag from a stock ID.
- Method
  2.12.0.0
  System.Void `` `` `` `` The context for a drag (this must be called with a context for the source side of a drag. A toplevel window to use as an icon. The X offset within of the hotspot. The Y offset within of the hotspot. Changes the icon for a to a given .

  GTK# will not destroy the icon, so if you don't want it to persist, you should connect to the event and destroy it yourself.

- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  Gtk.TargetList `` a Gets the list of targets this widget can provide for drag-and-drop. a , or if none.
- Method
  2.12.0.0
  System.Void `` `` `` `` a The bitmask of buttons that can start the drag. The table of targets that the drag will support. the bitmask of possible actions for a drag from this . Sets up a so that Gtk# will start a drag operation when the user clicks and drags on the . The must have a window.
- Method
  2.12.0.0
  System.Void `` `` `` `` A . The colormap of the icon. The image data for the icon. The transparency mask for an image. Sets the icon that will be used for drags from a particular from a pixmap/mask.

  GTK# retains references for the arguments, and will release them when they are no longer needed. Use instead.

- Method
  2.12.0.0
  System.Void `` `` the source widget. the name of an Icon in the Icon theme. Sets a source icon by name from an Icon theme.
- Method
  2.12.0.0
  System.Void `` `` A . The for the drag icon. Sets the icon that will be used for drags from a particular from a .

  GTK# retains a reference for and will release it when it is no longer needed.

- Method
  2.12.0.0
  System.Void `` `` A . The ID of the stock icon to use. Sets the icon that will be used for drags from a particular source to a stock icon.
- Method
  2.12.0.0
  System.Void `` `` a a Changes the target types that this widget offers for drag-and-drop. The widget must first be made into a drag source with gtk_drag_source_set().
- Method
  2.12.0.0
  System.Void `` A . Undoes the effects of .
- Method
  2.12.0.0
  System.Void `` A . Removes a highlight set by from a .